| Haskell Hierarchical Libraries (Cabal package) | Source code | Contents | Index
Language.Haskell.Extension |
Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>
Description
Haskell language extensions
Synopsis
data Extension
= OverlappingInstances
| UndecidableInstances
| IncoherentInstances
| RecursiveDo
| ParallelListComp
| MultiParamTypeClasses
| NoMonomorphismRestriction
| FunctionalDependencies
| Rank2Types
| RankNTypes
| PolymorphicComponents
| ExistentialQuantification
| ScopedTypeVariables
| ImplicitParams
| FlexibleContexts
| FlexibleInstances
| EmptyDataDecls
| CPP
| BangPatterns
| TypeSynonymInstances
| TemplateHaskell
| ForeignFunctionInterface
| InlinePhase
| ContextStack
| Arrows
| Generics
| NoImplicitPrelude
| NamedFieldPuns
| PatternGuards
| GeneralizedNewtypeDeriving
| ExtensibleRecords
| RestrictedTypeSynonyms
| HereDocuments
Documentation
data Extension
This represents language extensions beyond Haskell 98 that are supported by some implementations, usually in some special mode.
Constructors
OverlappingInstances |
UndecidableInstances |
IncoherentInstances |
RecursiveDo |
ParallelListComp |
MultiParamTypeClasses |
NoMonomorphismRestriction |
FunctionalDependencies |
Rank2Types |
RankNTypes |
PolymorphicComponents |
ExistentialQuantification |
ScopedTypeVariables |
ImplicitParams |
FlexibleContexts |
FlexibleInstances |
EmptyDataDecls |
CPP |
BangPatterns |
TypeSynonymInstances |
TemplateHaskell |
ForeignFunctionInterface |
InlinePhase |
ContextStack |
Arrows |
Generics |
NoImplicitPrelude |
NamedFieldPuns |
PatternGuards |
GeneralizedNewtypeDeriving |
ExtensibleRecords |
RestrictedTypeSynonyms |
HereDocuments |
Instances
Eq Extension
Read Extension
Show Extension
Produced by Haddock version 0.8